apiVersion: couchbase.com/v2
kind: CouchbaseCluster
metadata:
  name: cb-example-perf
spec:
  image: registry.gitlab.com/cb-vanilla/server:7.1.0-2556
  antiAffinity: true
  networking:
    networkPlatform: Istio
  security:
    adminSecret: cb-example-auth
    rbac:
      managed: true
      selector:
        matchLabels:
          cluster: cb-example-perf
  monitoring:
    prometheus:
      enabled: true
      image: couchbase/exporter:1.0.7
      refreshRate: 30
  buckets:
    managed: true
  backup:
    managed: true
    image: registry.gitlab.com/cb-vanilla/operator-backup:latest
    imagePullSecrets:
      - name: regcred
    serviceAccountName: couchbase-backup
    nodeSelector:
      NodeRoles: backups1
    resources:
      requests:
        cpu: "24"
        memory: 64Gi
  cluster:
    dataServiceMemoryQuota: 256Mi
    indexServiceMemoryQuota: 256Mi
    indexStorageSetting: memory_optimized
    autoFailoverTimeout: 120s
    autoFailoverMaxCount: 3
    autoFailoverOnDataDiskIssues: true
    autoFailoverOnDataDiskIssuesTimePeriod: 120s
    autoFailoverServerGroup: false
  servers:
  - size: 3
    name: data
    services:
    - data
    volumeMounts:
      default: couchbase_kv
    pod:
      metadata:
        annotations:
          sidecar.istio.io/inject: "true"
      spec:
        nodeSelector:
          NodeRoles: couchbase1
          kv_enabled: "true"
        imagePullSecrets:
          - name: regcred
  volumeClaimTemplates:
  - metadata:
      name: couchbase_kv
    spec:
      storageClassName: perf-sc
      resources:
        requests:
          storage: 1000Gi
  networking:
    exposeAdminConsole: true
    exposedFeatures:
